The classy-prelude package

[Tags: library, mit]

Focuses on using common typeclasses when possible, and creating new ones to avoid name clashing. Exposes many recommended datastructures (Map, ByteString, etc) directly without requiring long import lists and qualified modules.


Properties

Versions0.1.0.0, 0.2.0.0, 0.2.0.1, 0.3.0, 0.3.1, 0.4.0, 0.4.0.1, 0.4.1, 0.4.2, 0.4.3, 0.4.4, 0.5.0, 0.5.1, 0.5.2, 0.5.3, 0.5.4, 0.5.6, 0.5.7, 0.5.8, 0.5.9, 0.5.10, 0.6.0, 0.6.0.1, 0.7.0, 0.8.0, 0.8.0.1, 0.8.1, 0.8.1.1, 0.8.2, 0.8.3, 0.8.3.1, 0.9.0, 0.9.1, 0.9.2, 0.9.3, 0.9.4, 0.9.5, 0.10.0, 0.10.1, 0.10.2
Dependenciesbase (==4.*), basic-prelude (>=0.3.6 && <0.4), bytestring, chunked-data, containers (>=0.4.2), enclosed-exceptions, hashable, lifted-base (>=0.2), mono-traversable (>=0.2), old-locale, semigroups, system-filepath (==0.4.*), text, time, transformers, unordered-containers, vector, vector-instances
LicenseMIT
AuthorMichael Snoyman
Maintainermichael@snoyman.com
CategoryControl, Prelude
Home pagehttps://github.com/snoyberg/classy-prelude
Source repositoryhead: git clone git://github.com/snoyberg/classy-prelude.git
UploadedThu Feb 13 18:14:31 UTC 2014 by MichaelSnoyman
DistributionsDebian:0.9.3, FreeBSD:0.5.7, NixOS:0.10.2, Stackage:0.10.2
Downloads7834 total (577 in last 30 days)
StatusDocs available [build log]
Successful builds reported [all 1 reports]

Modules

[Index]

Downloads

Maintainers' corner

For package maintainers and hackage trustees